Bug 1811846 - Default value for replicas in config.imageregistry changed for baremetal
Summary: Default value for replicas in config.imageregistry changed for baremetal
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks: 1811848
TreeView+ depends on / blocked
 
Reported: 2020-03-09 22:42 UTC by Oleg Bulatov
Modified: 2020-07-13 17:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the operator was bootstrapping the registry with 0 replicas by for baremetal installations Consequence: CI scripts were changing managementState and storage configuration, but keep replicas 0 Fix: keep replicas=1 Result: CI works
Clone Of:
: 1811848 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:19:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 487 None closed Bug 1811846: restore default value for replicas on baremetal/ovirt/vsphere 2020-07-02 20:37:31 UTC

Description Oleg Bulatov 2020-03-09 22:42:38 UTC
The default value for spec.replicas has changed for baremetal/ovirt/vsphere/none.

It breaks some of our CI jobs. We need to keep default value (1 replica) for old releases.

Comment 3 Wenjing Zheng 2020-03-26 03:21:43 UTC
It seems this change not just made to baremetal/ovirt/vsphere/none, right? since I can see AWS/OSP also has such change.

Comment 4 Oleg Bulatov 2020-03-26 11:12:46 UTC
This is an amendment for the bug 1810317.

bug 1810317 - on AWS, and other cloud providers whose storage can be used with more than 1 replica, there should be 2 replicas. It introduced a new bug: on baremetal (where we don't have any default storage configuration) the new default was 0 replicas.

this bug - on baremetal/ovirt/vsphere/none replicas should equal to 1, despite the fact that the management state is Removed.

Comment 5 Wenjing Zheng 2020-03-31 04:02:09 UTC
Verified on 4.5.0-0.nightly-2020-03-30-203132: on a UPI on Baremetal cluster, the image registry replica is 1

Comment 7 errata-xmlrpc 2020-07-13 17:19:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.